pp1 <- function(x,a=NULL,b=NULL,medium=NULL,units=NULL) {
if(!(is.numeric(x) & is.atomic(x)))
	stop("Argument \"x\" must be a numeric vector.\n")
chk <- c(a,b)
if(length(chk) == 0) {
	interval <- range(x)
} else if(length(chk) == 2) {
	if(chk[1] >= chk[2])
		stop("Interval has endpoints in wrong order.\n")
	interval <- chk
} else stop("Specify precisely two interval endpoints.\n")

if(any(x < interval[1] | x > interval[2]))
	stop("Some points of \"x\" fall outside the specified interval.\n")

x <- sort(x)
attr(x,"interval") <- interval
attr(x,"medium") <- medium
attr(x,"units") <- units
class(x) <- "pp1"
x
}
